{
"assignments": [
{
"userId": "C4CA148F-F2C6-4E70-8349-57CC6DFC1C2B",
"success": false,
"error": {
"code": 400,
"message": "Employee already has an active assignment."
}
}
]
}
Admin Portal
addTimeTrackingPolicyAssignments
The addTimeTrackingPolicyAssignments API adds a batch of employees to an active time tracking policy for a company
What it does:
Creates an assignment record for each employee assigned to time tracking
Generates a timecard for each employee in their respective open pay period (for both W2 and 1099-NEC users)
Note:
Employees must have an active policy assignment to participate in time tracking
Employees cannot be already assigned to the timeTracking Policy
Only Active employees can be added to the company’s policy. Employees may be added before their dateOfJoin but will be ineligble to insert entries or clock in until the date lapses
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Rollfi","colors":{"primary":"#FF4217","light":"#FAFAFA","dark":"#0E0E0E"},"logo":{"light":"https://mintcdn.com/rollfi/0plDFeEVanwNirPi/logo/rollfi-logo.png?fit=max\u0026auto=format\u0026n=0plDFeEVanwNirPi\u0026q=85\u0026s=9564367ecd94a7809971163c7483ebba","dark":"https://mintcdn.com/rollfi/0plDFeEVanwNirPi/logo/rollfi-logo.png?fit=max\u0026auto=format\u0026n=0plDFeEVanwNirPi\u0026q=85\u0026s=9564367ecd94a7809971163c7483ebba"},"favicon":"https://mintcdn.com/rollfi/3cmcmZSTLqMTkR5Y/favicon.png?fit=max\u0026auto=format\u0026n=3cmcmZSTLqMTkR5Y\u0026q=85\u0026s=59ceef17edf39bfa875cf1c7c3f6d7d3","api":{"mdx":{"auth":{"method":"basic","name":"client_id:api_key"},"server":["https://sandbox.rollfi.xyz"]}},"navbar":{"links":[{"href":"https://cal.com/team/rollfi/embedded-payroll","label":"Contact Us"}],"primary":{"type":"button","label":"Sign in","href":"https://app.rollfi.xyz/app/Rollfi-Registration/Login"}},"footer":{"socials":{"twitter":"https://twitter.com/rollfi_xyz","linkedin":"https://www.linkedin.com/company/rollfi"}},"icons":{"library":"lucide"},"styling":{"latex":true},"navigation":{"global":{"tabs":[{"tab":"Embedded Payroll","href":"https://www.rollfi.xyz"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"rollfi","hasAudioNarration":false,"actualSubdomain":"rollfi","customDomains":["developer.rollfi.xyz"],"gitSource":{"type":"github","owner":"rollfipayroll","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ac905512d5688fa8c593203","collectionId":"ba42c5d4-f3c5-4349-845f-3b2f1eae15dc","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ac905512d5688fa8c593203"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ac905512d5688fa8c593203","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"default","tag":"API Reference","count":354},{"language":"default","tag":"Reports","count":55},{"language":"default","tag":"Admin Portal","count":43},{"language":"default","tag":"Payroll","count":25},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Overview","count":15},{"language":"default","tag":"Webhooks","count":13},{"language":"default","tag":"Company Onboarding","count":11},{"language":"default","tag":"User Portal","count":10},{"language":"default","tag":"User Onboarding","count":8}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/adminportal/addTimeTrackingPolicyAssignments","slug":"/api-reference/adminportal/addTimeTrackingPolicyAssignments","pageMetadata":{"openapi":"post /adminPortal/addTimeTrackingPolicyAssignments","title":"addTimeTrackingPolicyAssignments","description":"The `addTimeTrackingPolicyAssignments` API adds a batch of employees to an active time tracking policy for a company\n\n### What it does:\n- Creates an assignment record for each employee assigned to time tracking\n- Generates a timecard for each employee in their respective open pay period (for both W2 and 1099-NEC users)\n\n### Note:\n- Employees must have an active policy assignment to participate in time tracking\n- Employees cannot be already assigned to the timeTracking Policy\n- Only Active employees can be added to the company's policy. Employees may be added before their **dateOfJoin** but will be ineligble to insert entries or clock in until the date lapses\n","href":"/api-reference/adminportal/addTimeTrackingPolicyAssignments"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n h3: \"h3\",\n li: \"li\",\n p: \"p\",\n strong: \"strong\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"The \", _jsx(_components.code, {\n children: \"addTimeTrackingPolicyAssignments\"\n }), \" API adds a batch of employees to an active time tracking policy for a company\"]\n }), \"\\n\", _jsx(_components.h3, {\n children: \"What it does:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Creates an assignment record for each employee assigned to time tracking\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Generates a timecard for each employee in their respective open pay period (for both W2 and 1099-NEC users)\"\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.h3, {\n children: \"Note:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Employees must have an active policy assignment to participate in time tracking\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Employees cannot be already assigned to the timeTracking Policy\"\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Only Active employees can be added to the company’s policy. Employees may be added before their \", _jsx(_components.strong, {\n children: \"dateOfJoin\"\n }), \" but will be ineligble to insert entries or clock in until the date lapses\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /adminPortal/addTimeTrackingPolicyAssignments","title":"addTimeTrackingPolicyAssignments","description":"The `addTimeTrackingPolicyAssignments` API adds a batch of employees to an active time tracking policy for a company\n\n### What it does:\n- Creates an assignment record for each employee assigned to time tracking\n- Generates a timecard for each employee in their respective open pay period (for both W2 and 1099-NEC users)\n\n### Note:\n- Employees must have an active policy assignment to participate in time tracking\n- Employees cannot be already assigned to the timeTracking Policy\n- Only Active employees can be added to the company's policy. Employees may be added before their **dateOfJoin** but will be ineligble to insert entries or clock in until the date lapses\n","href":"/api-reference/adminportal/addTimeTrackingPolicyAssignments"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"addTimeTrackingPolicyAssignments","deprecated":false,"description":"The `addTimeTrackingPolicyAssignments` API adds a batch of employees to an active time tracking policy for a company\n\n### What it does:\n- Creates an assignment record for each employee assigned to time tracking\n- Generates a timecard for each employee in their respective open pay period (for both W2 and 1099-NEC users)\n\n### Note:\n- Employees must have an active policy assignment to participate in time tracking\n- Employees cannot be already assigned to the timeTracking Policy\n- Only Active employees can be added to the company's policy. Employees may be added before their **dateOfJoin** but will be ineligble to insert entries or clock in until the date lapses\n","operationId":"addTimeTrackingPolicyAssignments","tags":["TimeTracking Admin"],"parameters":[],"requestBody":"0e36fd76-e65f-4d35-bb3e-163448b26f3a","responses":{"200":"0b334173-c71e-4d83-9db6-8992213e365a","400":"f9a30862-11c7-4dc3-b9f8-084722a3a053"},"security":[],"method":"post","type":"path","servers":[],"path":"/adminPortal/addTimeTrackingPolicyAssignments","baseUrlOptions":["https://sandbox.rollfi.xyz"],"title":"addTimeTrackingPolicyAssignments","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"method":{"type":"string","isRequired":true,"uniqueKey":"method","typeLabel":"string"},"companyId":{"type":"string","isRequired":true,"uniqueKey":"companyId","typeLabel":"string"},"timeTrackingPolicyId":{"type":"string","isRequired":true,"uniqueKey":"timeTrackingPolicyId","typeLabel":"string"},"userIds":{"type":"array","items":{"type":"string","uniqueKey":"userIds.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"userIds","typeLabel":"string[]"}},"required":["method","companyId","timeTrackingPolicyId","userIds"],"uniqueKey":"","typeLabel":"object"},"example":{"method":"addTimeTrackingPolicyAssignments","companyId":"5221FFCF-E84B-4690-B7DC-DE29D549096B","timeTrackingPolicyId":"45C67A2B-4D64-47D2-B473-B7B5FD1CB80E","userIds":["C4CA148F-F2C6-4E70-8349-57CC6DFC1C2B"]},"examples":{"Example":{"title":"Example","value":{"method":"addTimeTrackingPolicyAssignments","companyId":"5221FFCF-E84B-4690-B7DC-DE29D549096B","timeTrackingPolicyId":"45C67A2B-4D64-47D2-B473-B7B5FD1CB80E","userIds":["C4CA148F-F2C6-4E70-8349-57CC6DFC1C2B"]}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"0b334173-c71e-4d83-9db6-8992213e365a":{"description":"Assignments updated","content":{"application/json":{"schema":{"type":"object","properties":{"assignments":{"type":"array","items":{"type":"object","properties":{"userId":{"type":"string","uniqueKey":"assignments.items.[INDEX].userId","typeLabel":"string"},"success":{"type":"boolean","uniqueKey":"assignments.items.[INDEX].success","typeLabel":"boolean"},"message":{"type":"string","uniqueKey":"assignments.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"assignments.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"assignments","typeLabel":"object[]"}},"required":["assignments"],"uniqueKey":"","typeLabel":"object"},"example":{"assignments":[{"userId":"C4CA148F-F2C6-4E70-8349-57CC6DFC1C2B","success":true,"message":"Employee assigned successfully."}]},"examples":{"Example":{"title":"Example","value":{"assignments":[{"userId":"C4CA148F-F2C6-4E70-8349-57CC6DFC1C2B","success":true,"message":"Employee assigned successfully."}]}}},"exampleType":"examples"}},"headers":{},"exampleType":"examples"},"f9a30862-11c7-4dc3-b9f8-084722a3a053":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer","isRequired":true,"uniqueKey":"error.code","typeLabel":"integer"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"example":{"assignments":[{"userId":"C4CA148F-F2C6-4E70-8349-57CC6DFC1C2B","success":false,"error":{"code":400,"message":"Employee already has an active assignment."}}]},"examples":{"Example":{"title":"Example","value":{"assignments":[{"userId":"C4CA148F-F2C6-4E70-8349-57CC6DFC1C2B","success":false,"error":{"code":400,"message":"Employee already has an active assignment."}}]}}},"exampleType":"examples"}},"headers":{},"exampleType":"examples"}},"security":{"8b32d4fb-600d-4802-9e21-2c63c85c54ee":{"Authorization":{"type":"http","scheme":"basic","description":"Basic authentication header of the form `Basic \u003cencoded-value>`, where `\u003cencoded-value>` is the base64-encoded string `username:password`."}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"basic","description":"Basic authentication header of the form `Basic \u003cencoded-value>`, where `\u003cencoded-value>` is the base64-encoded string `username:password`."},"schema":{"title":"Basic Auth","type":"object","description":"Basic authentication header of the form `Basic \u003cencoded-value>`, where `\u003cencoded-value>` is the base64-encoded string `username:password`.","isRequired":true,"properties":{"username":{"type":"string","uniqueKey":"username","isRequired":true,"typeLabel":"string","deprecated":false},"password":{"type":"string","uniqueKey":"password","isRequired":true,"typeLabel":"string","deprecated":false}},"additionalProperties":false,"deprecated":false},"schemeName":"Authorization","name":"Authorization"}],"title":"Authorization"}]},"originalFileLocation":"Rollfi_v2.openapi.json"},"subdomain":"rollfi","siteName":"Rollfi","title":"addTimeTrackingPolicyAssignments - Rollfi","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-15T20:32:20.303Z","originalFileLocation":"api-reference/adminportal/addTimeTrackingPolicyAssignments.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"The addTimeTrackingPolicyAssignments API adds a batch of employees to an active time tracking policy for a company ### What it does: - Creates an assignment record for each employee assigned to time tracking - Generates a timecard for each employee in their respective open pay period (for both W2 and 1099-NEC users) ### Note: - Employees must have an active policy assignment to participate in time tracking - Employees cannot be already assigned to the timeTracking Policy - Only Active employees can be added to the company\u0026#x27;s policy. Employees may be added before their dateOfJoin but will be ineligble to insert entries or clock in until the date lapses\">\u003cmeta data-mint-head name=\"application-name\" content=\"Rollfi\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rollfi/RELF3aF393RgDF3q/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/rollfi/RELF3aF393RgDF3q/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rollfi/RELF3aF393RgDF3q/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rollfi/RELF3aF393RgDF3q/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rollfi/RELF3aF393RgDF3q/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rollfi/RELF3aF393RgDF3q/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rollfi/RELF3aF393RgDF3q/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rollfi/RELF3aF393RgDF3q/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rollfi/RELF3aF393RgDF3q/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"addTimeTrackingPolicyAssignments - Rollfi\">\u003cmeta data-mint-head property=\"og:description\" content=\"The addTimeTrackingPolicyAssignments API adds a batch of employees to an active time tracking policy for a company ### What it does: - Creates an assignment record for each employee assigned to time tracking - Generates a timecard for each employee in their respective open pay period (for both W2 and 1099-NEC users) ### Note: - Employees must have an active policy assignment to participate in time tracking - Employees cannot be already assigned to the timeTracking Policy - Only Active employees can be added to the company\u0026#x27;s policy. Employees may be added before their dateOfJoin but will be ineligble to insert entries or clock in until the date lapses\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Rollfi\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.rollfi.xyz/api-reference/adminportal/addTimeTrackingPolicyAssignments\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://rollfi.mintlify.app/_mintlify/api/og/v2?division=Admin+Portal\u0026amp;title=addTimeTrackingPolicyAssignments\u0026amp;description=The+%60addTimeTrackingPolicyAssignments%60+API+adds+a+batch+of+employees+to+an+active+time+tracking+policy+for+a+company%0A%0A%23%23%23+What+it+does%3A%0A-+Creates+an+assignment+\u0026amp;theme=b6b82f0d9dde7dd38e7329b6\u0026amp;signature=ed397918778d37a0fd526cc7aa1f0b9e3d72effacb2c01ea20dd3ace8807bd01\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"addTimeTrackingPolicyAssignments - Rollfi\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"The addTimeTrackingPolicyAssignments API adds a batch of employees to an active time tracking policy for a company ### What it does: - Creates an assignment record for each employee assigned to time tracking - Generates a timecard for each employee in their respective open pay period (for both W2 and 1099-NEC users) ### Note: - Employees must have an active policy assignment to participate in time tracking - Employees cannot be already assigned to the timeTracking Policy - Only Active employees can be added to the company\u0026#x27;s policy. Employees may be added before their dateOfJoin but will be ineligble to insert entries or clock in until the date lapses\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://rollfi.mintlify.app/_mintlify/api/og/v2?division=Admin+Portal\u0026amp;title=addTimeTrackingPolicyAssignments\u0026amp;description=The+%60addTimeTrackingPolicyAssignments%60+API+adds+a+batch+of+employees+to+an+active+time+tracking+policy+for+a+company%0A%0A%23%23%23+What+it+does%3A%0A-+Creates+an+assignment+\u0026amp;theme=b6b82f0d9dde7dd38e7329b6\u0026amp;signature=ed397918778d37a0fd526cc7aa1f0b9e3d72effacb2c01ea20dd3ace8807bd01\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/rollfi/RELF3aF393RgDF3q/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Rollfi\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF4217\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.rollfi.xyz/api-reference/adminportal/addTimeTrackingPolicyAssignments\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/adminportal/addTimeTrackingPolicyAssignments.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.rollfi.xyz/#organization\",\"name\":\"Rollfi\",\"url\":\"https://developer.rollfi.xyz\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/rollfi/0plDFeEVanwNirPi/logo/rollfi-logo.png?fit=max\u0026auto=format\u0026n=0plDFeEVanwNirPi\u0026q=85\u0026s=9564367ecd94a7809971163c7483ebba\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.rollfi.xyz#website\",\"name\":\"Rollfi\",\"url\":\"https://developer.rollfi.xyz\",\"publisher\":{\"@id\":\"https://developer.rollfi.xyz/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.rollfi.xyz/api-reference/adminportal/addTimeTrackingPolicyAssignments#webpage\",\"url\":\"https://developer.rollfi.xyz/api-reference/adminportal/addTimeTrackingPolicyAssignments\",\"name\":\"addTimeTrackingPolicyAssignments\",\"description\":\"The addTimeTrackingPolicyAssignments API adds a batch of employees to an active time tracking policy for a company ### What it does: - Creates an assignment record for each employee assigned to time tracking - Generates a timecard for each employee in their respective open pay period (for both W2 and 1099-NEC users) ### Note: - Employees must have an active policy assignment to participate in time tracking - Employees cannot be already assigned to the timeTracking Policy - Only Active employees can be added to the company's policy. Employees may be added before their dateOfJoin but will be ineligble to insert entries or clock in until the date lapses\",\"dateModified\":\"2026-09-15T20:32:20.303Z\",\"isPartOf\":{\"@id\":\"https://developer.rollfi.xyz#website\"},\"breadcrumb\":{\"@id\":\"https://developer.rollfi.xyz/api-reference/adminportal/addTimeTrackingPolicyAssignments#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.rollfi.xyz/api-reference/adminportal/addTimeTrackingPolicyAssignments#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://developer.rollfi.xyz/api-reference/companyonboarding/createBusiness\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Admin Portal\",\"item\":\"https://developer.rollfi.xyz/api-reference/adminportal/addUser\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"addTimeTrackingPolicyAssignments\",\"item\":\"https://developer.rollfi.xyz/api-reference/adminportal/addTimeTrackingPolicyAssignments\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.rollfi.xyz/api-reference/adminportal/addTimeTrackingPolicyAssignments#apireference\",\"headline\":\"addTimeTrackingPolicyAssignments\",\"name\":\"addTimeTrackingPolicyAssignments\",\"description\":\"The addTimeTrackingPolicyAssignments API adds a batch of employees to an active time tracking policy for a company ### What it does: - Creates an assignment record for each employee assigned to time tracking - Generates a timecard for each employee in their respective open pay period (for both W2 and 1099-NEC users) ### Note: - Employees must have an active policy assignment to participate in time tracking - Employees cannot be already assigned to the timeTracking Policy - Only Active employees can be added to the company's policy. Employees may be added before their dateOfJoin but will be ineligble to insert entries or clock in until the date lapses\",\"url\":\"https://developer.rollfi.xyz/api-reference/adminportal/addTimeTrackingPolicyAssignments\",\"mainEntityOfPage\":{\"@id\":\"https://developer.rollfi.xyz/api-reference/adminportal/addTimeTrackingPolicyAssignments#webpage\"},\"dateModified\":\"2026-09-15T20:32:20.303Z\",\"publisher\":{\"@id\":\"https://developer.rollfi.xyz/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.rollfi.xyz#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Rollfi\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Rollfi","nav":{"global":{"tabs":[{"tab":"Embedded Payroll","href":"https://www.rollfi.xyz"}]},"anchors":[{"anchor":"Documentation","icon":"lightbulb","color":{"light":"#FF4217","dark":"#FF4217"},"pages":[{"title":"Documentation","href":"/docs/PayrollAPIDocumentation"}]},{"anchor":"API Reference","icon":"terminal","groups":[{"group":"API Reference","pages":[{"group":"Company Onboarding","pages":[{"openapi":"post /companyOnboarding/createBusiness","title":"createBusiness","href":"/api-reference/companyonboarding/createBusiness"},{"openapi":"post /companyOnboarding/companyRegistration","title":"companyRegistration","href":"/api-reference/companyonboarding/companyRegistration"},{"openapi":"put /companyOnboarding/updateAdminUser","title":"updateAdminUser","href":"/api-reference/companyonboarding/updateAdminUser"},{"openapi":"post /companyOnboarding/addCompanyLocation","title":"addCompanyLocation","href":"/api-reference/companyonboarding/addcompanylocation"},{"openapi":"post /companyOnboarding/addKybInformation","title":"addKybInformation","href":"/api-reference/companyonboarding/addkybinformation"},{"openapi":"post /companyOnboarding/initiateCompanyKyb","title":"initiateCompanyKyb","href":"/api-reference/companyonboarding/initiateCompanyKyb"},{"openapi":"post /companyOnboarding/addBusinessUser","title":"addBusinessUser","href":"/api-reference/companyonboarding/addbusinessuser"},{"openapi":"post /companyOnboarding/addBookKeeper","title":"addBookKeeper","href":"/api-reference/companyonboarding/addBookKeeper"},{"openapi":"put /companyOnboarding/updateKybInformation","title":"updateKybInformation","href":"/api-reference/companyonboarding/updateKybInformation"},{"openapi":"delete /companyOnboarding/deleteBusinessUser","title":"deleteBusinessUser","href":"/api-reference/companyonboarding/deleteBusinessUser"},{"openapi":"put /companyOnboarding/updateCompany","title":"updateCompany","href":"/api-reference/companyonboarding/updateCompany"}]},{"group":"User Onboarding","pages":[{"openapi":"post /userOnboarding/addKycInformation","title":"addKycInformation","href":"/api-reference/useronboarding/addKycInformation"},{"openapi":"post /userOnboarding/addW4Information","title":"addW4Information","href":"/api-reference/useronboarding/addW4Information"},{"openapi":"put /userOnboarding/acceptTermsAndCondition","title":"acceptTermsAndCondition","href":"/api-reference/useronboarding/acceptTermsAndCondition"},{"openapi":"post /userOnboarding/initiateUserKyc","title":"initiateUserKyc","href":"/api-reference/useronboarding/initiateUserKyc"},{"openapi":"put /userOnboarding/updateKycInformation","title":"updateKycInformation","href":"/api-reference/useronboarding/updateKycInformation"},{"openapi":"post /userOnboarding/addStateW4Information","title":"addStateW4Information","href":"/api-reference/useronboarding/addStateW4Information"},{"openapi":"put /userOnboarding/updateStateW4Information","title":"updateStateW4Information","href":"/api-reference/useronboarding/updateStateW4Information"},{"openapi":"put /userOnboarding/updateW4Information","title":"updateW4Information","href":"/api-reference/useronboarding/updateW4Information"}]},{"group":"Admin Portal","pages":[{"openapi":"post /adminPortal/addUser","title":"addUser","href":"/api-reference/adminportal/addUser"},{"openapi":"post /adminPortal/addUsers","title":"addUsers","href":"/api-reference/adminportal/addUsers"},{"openapi":"put /adminPortal/updateUser","title":"updateUser","href":"/api-reference/adminportal/updateUser"},{"openapi":"delete /adminPortal/deleteUser","title":"deleteUser","href":"/api-reference/adminportal/deleteUser"},{"openapi":"post /adminPortal/addFormerUser","title":"addFormerUser","href":"/api-reference/adminportal/addFormerUser"},{"openapi":"post /adminPortal/addUserWage","title":"addUserWage","href":"/api-reference/adminportal/addUserWage"},{"openapi":"put /adminPortal/updateUserWage","title":"updateUserWage","href":"/api-reference/adminportal/updateUserWage"},{"openapi":"post /adminPortal/activateUser","title":"activateUser","href":"/api-reference/adminportal/activateUser"},{"openapi":"post /adminPortal/deactivateUser","title":"deactivateUser","href":"/api-reference/adminportal/deactivateUser"},{"openapi":"post /adminPortal/addCompanyBankAccount","title":"addCompanyBankAccount","href":"/api-reference/adminportal/addCompanyBankAccount"},{"openapi":"put /adminPortal/deactivateCompanyBankAccount","title":"deactivateCompanyBankAccount","href":"/api-reference/adminportal/deactivateCompanyBankAccount"},{"openapi":"post /adminPortal/verifyMicroDeposits","title":"verifyMicroDeposits","href":"/api-reference/adminportal/verifyMicroDeposits"},{"openapi":"post /adminPortal/addBusinessContractor","title":"addBusinessContractor","href":"/api-reference/adminportal/addBusinessContractor"},{"openapi":"post /adminPortal/addStateRegistrationInfo","title":"addStateRegistrationInfo","href":"/api-reference/adminportal/addStateRegistrationInfo"},{"openapi":"put /adminPortal/updateStateRegistrationInfo","title":"updateStateRegistrationInfo","href":"/api-reference/adminportal/updateStateRegistrationInfo"},{"openapi":"post /adminPortal/addTimeOffPolicy","title":"addTimeOffPolicy","href":"/api-reference/adminportal/addTimeOffPolicy"},{"openapi":"post /adminPortal/addTimeOffPolicyAssignment","title":"addTimeOffPolicyAssignment","href":"/api-reference/adminportal/addTimeOffPolicyAssignment"},{"openapi":"put /adminPortal/updateTimeOffPolicyAssignment","title":null,"href":"/api-reference/adminportal/updateTimeOffPolicyAssignment"},{"openapi":"post /adminPortal/approveTimeOffRequest","title":"approveTimeOffRequest","href":"/api-reference/adminportal/approveTimeOffRequest"},{"openapi":"post /adminPortal/addTimeTrackingPolicy","title":"addTimeTrackingPolicy","href":"/api-reference/adminportal/addTimeTrackingPolicy"},{"openapi":"put /adminPortal/updateTimeTrackingPolicy","title":"updateTimeTrackingPolicy","href":"/api-reference/adminportal/updateTimeTrackingPolicy"},{"openapi":"delete /adminPortal/deleteTimeTrackingPolicy","title":"deleteTimeTrackingPolicy","description":"The `deleteTimeTrackingPolicy` API is used when timetracking is no longer needed for a company, or when it makes sense to start over at the policy level\n\n### What it does:\n- Deletes the company's time tracking policy\n- Deactivates all open timecards and active assignments\n- Preserves time card history for deleted policies\n\n### Note:\n- This is a permenant deletion. You may be able to achieve a similar result by updating assignments and updating the policy\n- A new time tracking policy can be added after the delete with the `addTimeTrackingPolicy` API","href":"/api-reference/adminportal/deleteTimeTrackingPolicy"},{"openapi":"post /adminPortal/addTimeTrackingPolicyAssignments","title":"addTimeTrackingPolicyAssignments","href":"/api-reference/adminportal/addTimeTrackingPolicyAssignments"},{"openapi":"post /adminPortal/removeTimeTrackingPolicyAssignments","title":"removeTimeTrackingPolicyAssignments","description":"The `removeTimeTrackingPolicyAssignments` API bulk deactivates active policy assignments.\n\n### What it does:\n- Removes the employee's active assignment.\n- Deactivates related active time tracking records tied to that assignment.\n\n### Notes:\n- Employees can be re-added later by creating a new assignment while the company has an active policy.","href":"/api-reference/adminportal/removeTimeTrackingPolicyAssignments"},{"openapi":"post /adminPortal/upsertTimeEntry","title":"upsertTimeEntry","href":"/api-reference/adminportal/upsertTimeEntry"},{"openapi":"delete /adminPortal/deleteTimeEntry","title":"deleteTimeEntry","href":"/api-reference/adminportal/deleteTimeEntry"},{"openapi":"put /adminPortal/updateTimeCardApprovals","title":"updateTimeCardApprovals","href":"/api-reference/adminportal/updateTimeCardApprovals"},{"openapi":"post /adminPortal/syncTimeCardsToPayroll","title":"syncTimeCardsToPayroll","href":"/api-reference/adminportal/syncTimeCardsToPayroll"},{"openapi":"put /adminPortal/updateBusinessUserAsEmployee","title":"updateBusinessUserAsEmployee","href":"/api-reference/adminportal/updateBusinessUserAsEmployee"},{"openapi":"put /adminPortal/updateEmployeeAsBusinessUser","title":"updateEmployeeAsBusinessUser","href":"/api-reference/adminportal/updateEmployeeAsBusinessUser"},{"openapi":"put /adminPortal/updateBusinessUser","title":"updateBusinessUser","href":"/api-reference/adminportal/updateBusinessUser"},{"openapi":"put /adminPortal/updateCompanyLocation","title":"updateCompanyLocation","href":"/api-reference/adminportal/updateCompanyLocation"},{"openapi":"delete /adminPortal/deleteStateRegistrationInfo","title":"deleteStateRegistrationInfo","href":"/api-reference/adminportal/deleteStateRegistrationInfo"},{"openapi":"post /adminPortal/addEmployeeMiscellaneousStateTax","title":"addEmployeeMiscellaneousStateTax","href":"/api-reference/adminportal/addEmployeeMiscellaneousStateTax"},{"openapi":"put /adminPortal/terminateUser","title":"terminateUser","href":"/api-reference/adminportal/terminateUser"},{"openapi":"post /adminPortal/uploadDocument","title":"uploadDocument","href":"/api-reference/adminportal/uploadDocument"},{"openapi":"get /adminPortal/downloadDocument","title":"downloadDocument","href":"/api-reference/adminportal/downloadDocument"},{"openapi":"post /adminPortal/addRecurringPayItem","title":"addRecurringPayItem","href":"/api-reference/adminportal/addRecurringPayItem"},{"openapi":"put /adminPortal/updateRecurringPayItem","title":"updateRecurringPayItem","href":"/api-reference/adminportal/updateRecurringPayItem"},{"openapi":"delete /adminPortal/deleteRecurringPayItem","title":"deleteRecurringPayItem","href":"/api-reference/adminportal/deleteRecurringPayItem"},{"openapi":"post /adminPortal/addGarnishments","title":"addGarnishments","href":"/api-reference/adminportal/addGarnishments"},{"openapi":"put /adminPortal/updateGarnishment","title":"updateGarnishment","href":"/api-reference/adminportal/updateGarnishment"},{"openapi":"post /adminPortal/removeGarnishment","title":"removeGarnishment","href":"/api-reference/adminportal/removeGarnishment"}]},{"group":"User Portal","pages":[{"openapi":"post /userPortal/addUserBankAccount","title":"addUserBankAccount","href":"/api-reference/userportal/addUserBankAccount"},{"openapi":"put /userPortal/updateUserPayPercentage","title":"updateUserPayPercentage","href":"/api-reference/userportal/updateUserPayPercentage"},{"openapi":"put /userPortal/updateKycInformation","title":"updateKycInformation","href":"/api-reference/userportal/updateKycInformation"},{"openapi":"post /userPortal/addTimeOffRequest","title":"addTimeOffRequest","href":"/api-reference/userportal/addTimeOffRequest"},{"openapi":"post /userPortal/cancelTimeOffRequest","title":"cancelTimeOffRequest","href":"/api-reference/userportal/cancelTimeOffRequest"},{"openapi":"delete /userPortal/deleteTimeOffRequest","title":"deleteTimeOffRequest","href":"/api-reference/userportal/deleteTimeOffRequest"},{"openapi":"post /userPortal/clockIn","title":"clockIn","href":"/api-reference/userportal/clockIn"},{"openapi":"put /userPortal/clockOut","title":"clockOut","href":"/api-reference/userportal/clockOut"},{"openapi":"post /userPortal/startBreak","title":"startBreak","href":"/api-reference/userportal/startBreak"},{"openapi":"put /userPortal/endBreak","title":"endBreak","href":"/api-reference/userportal/endBreak"}]},{"group":"Payroll","pages":[{"openapi":"post /payroll/addPaySchedule","title":"addPaySchedule","href":"/api-reference/payroll/addPaySchedule"},{"openapi":"put /payroll/updatePaySchedule","title":"updatePaySchedule","href":"/api-reference/payroll/updatePaySchedule"},{"openapi":"post /payroll/deactivatePaySchedule","title":"deactivatePaySchedule","href":"/api-reference/payroll/deactivatePaySchedule"},{"openapi":"post /payroll/importRegularDifferentialPayrollData","title":"importRegularDifferentialPayrollData","href":"/api-reference/payroll/importRegularDifferentialPayrollData"},{"openapi":"post /payroll/importRegularPayrollData","title":"importRegularPayrollData","href":"/api-reference/payroll/importRegularPayrollData"},{"openapi":"post /payroll/addSupplementalPayPeriod","title":"addSupplementalPayPeriod","href":"/api-reference/payroll/addSupplementalPayPeriod"},{"openapi":"post /payroll/initiatePayroll","title":"initiatePayroll","href":"/api-reference/payroll/initiatePayroll"},{"openapi":"post /payroll/removeDeductions","title":"removeDeductions","href":"/api-reference/payroll/removeDeductions"},{"openapi":"post /payroll/removeAdditionalCompensations","title":"removeAdditionalCompensations","href":"/api-reference/payroll/removeAdditionalCompensations"},{"openapi":"post /payroll/removeReimbursements","title":"removeReimbursements","href":"/api-reference/payroll/removeReimbursements"},{"openapi":"post /payroll/removeUsersFromSupplementalPayPeriod","title":"removeUsersFromSupplementalPayPeriod","href":"/api-reference/payroll/removeUsersFromSupplementalPayPeriod"},{"openapi":"post /payroll/addUsersToSupplementalPayPeriod","title":"addUsersToSupplementalPayPeriod","href":"/api-reference/payroll/addUsersToSupplementalPayPeriod"},{"openapi":"put /payroll/editUsersOfSupplementalPayPeriod","title":"editUsersOfSupplementalPayPeriod","href":"/api-reference/payroll/editUsersOfSupplementalPayPeriod"},{"openapi":"post /payroll/addUsersToRegularPayPeriod","title":"addUsersToRegularPayPeriod","href":"/api-reference/payroll/addUsersToRegularPayPeriod"},{"openapi":"post /payroll/removeUsersFromRegularPayPeriod","title":"removeUsersFromRegularPayPeriod","href":"/api-reference/payroll/removeUsersFromRegularPayPeriod"},{"openapi":"post /payroll/removeOvertime","title":"removeOvertime","href":"/api-reference/payroll/removeOvertime"},{"openapi":"post /payroll/skipPayPeriod","title":"skipPayPeriod","href":"/api-reference/payroll/skipPayPeriod"},{"openapi":"post /payroll/addSupplementalPayPeriodWithLineItems","title":"addSupplementalPayPeriodWithLineItems","href":"/api-reference/payroll/addSupplementalPayPeriodWithLineItems"},{"openapi":"post /payroll/cancelPayrollSubmission","title":"cancelPayrollSubmission","href":"/api-reference/payroll/cancelPayrollSubmission"},{"openapi":"post /payroll/importPayrollHistory","title":"importPayrollHistory","href":"/api-reference/payroll/importPayrollHistory"},{"openapi":"post /payroll/addPayrollTaxExemption","title":"addPayrollTaxExemption","href":"/api-reference/payroll/addPayrollTaxExemption"},{"openapi":"put /payroll/updatePayrollTaxExemption","title":"updatePayrollTaxExemption","href":"/api-reference/payroll/updatePayrollTaxExemption"},{"openapi":"post /payroll/addPayrollLineItemTaxAdjustments","title":"addPayrollLineItemTaxAdjustments","href":"/api-reference/payroll/addPayrollLineItemTaxAdjustments"},{"openapi":"put /payroll/updatePayrollLineItemTaxAdjustment","title":"updatePayrollLineItemTaxAdjustment","href":"/api-reference/payroll/updatePayrollLineItemTaxAdjustment"},{"openapi":"post /payroll/removePayrollLineItemTaxAdjustment","title":"removePayrollLineItemTaxAdjustment","href":"/api-reference/payroll/removePayrollLineItemTaxAdjustment"}]},{"group":"Benefits","pages":[{"openapi":"post /benefits/addEmployeeBenefits","title":"addEmployeeBenefits","href":"/api-reference/benefits/addEmployeeBenefits"},{"openapi":"put /benefits/updateEmployeeBenefits","title":"updateEmployeeBenefits","href":"/api-reference/benefits/updateEmployeeBenefits"},{"openapi":"post /benefits/addCompanyEmployeeBenefits","title":"addCompanyEmployeeBenefits","href":"/api-reference/benefits/addCompanyEmployeeBenefits"},{"openapi":"post /benefits/removeCompanyBenefits","title":"removeCompanyBenefits","href":"/api-reference/benefits/removeCompanyBenefits"},{"openapi":"post /benefits/removeEmployeeBenefits","title":"removeEmployeeBenefits","href":"/api-reference/benefits/removeEmployeeBenefits"},{"openapi":"post /benefits/addCompanyBenefits","title":"addCompanyBenefits","href":"/api-reference/benefits/addCompanyBenefits"},{"openapi":"get /benefits/getBenefitValidEffectiveMonths","title":"getBenefitValidEffectiveMonths","href":"/api-reference/benefits/getBenefitValidEffectiveMonths"}]},{"group":"Reports","pages":[{"group":"PTO","pages":[{"openapi":"get /reports/getTimeOffPolicyTypes","title":"getTimeOffPolicyTypes","href":"/api-reference/reports/PaidTimeOff/getTimeOffPolicyTypes"},{"openapi":"get /reports/getTimeOffPolicyAssignments","title":"getTimeOffPolicyAssignments","href":"/api-reference/reports/PaidTimeOff/getTimeOffPolicyAssignments"},{"openapi":"get /reports/getTimeOffRequest","title":"getTimeOffRequest","href":"/api-reference/reports/PaidTimeOff/getTimeOffRequest"}]},{"group":"Time Tracking","pages":[{"openapi":"get /reports/getEmployeeTimeTrackingStatus","title":"getEmployeeTimeTrackingStatus","href":"/api-reference/reports/TimeTracking/getEmployeeTimeTrackingStatus"},{"openapi":"get /reports/getTimeTrackingPolicy","title":"getTimeTrackingPolicy","href":"/api-reference/reports/TimeTracking/getTimeTrackingPolicy"},{"openapi":"get /reports/getPayPeriodTimeCards","title":"getPayPeriodTimeCards","href":"/api-reference/reports/TimeTracking/getPayPeriodTimeCards"},{"openapi":"get /reports/getEmployeePayPeriodTimeCard","title":"getEmployeePayPeriodTimeCard","href":"/api-reference/reports/TimeTracking/getEmployeePayPeriodTimeCard"}]},{"group":"Garnishments","pages":[{"openapi":"get /reports/getGarnishmentTypes","title":"getGarnishmentTypes","href":"/api-reference/reports/Garnishments/getGarnishmentTypes"},{"openapi":"get /reports/getGarnishmentAgencies","title":"getGarnishmentAgencies","href":"/api-reference/reports/Garnishments/getGarnishmentAgencies"},{"openapi":"get /reports/getGarnishmentFormFields","title":"getGarnishmentFormFields","href":"/api-reference/reports/Garnishments/getGarnishmentFormFields"}]},{"openapi":"get /reports/getActiveUsers","title":"getActiveUsers","href":"/api-reference/reports/getActiveUsers"},{"openapi":"get /reports/getAdditionalCompensationDescription","title":"getAdditionalCompensationDescription","href":"/api-reference/reports/getAdditionalCompensationDescription"},{"openapi":"get /reports/getBusinessUsers","title":"getBusinessUsers","href":"/api-reference/reports/getBusinessUsers"},{"openapi":"get /reports/getBusinessUserDetails","title":"getBusinessUserDetails","href":"/api-reference/reports/getBusinessUserDetails"},{"openapi":"get /reports/getCompanies","title":"getCompanies","href":"/api-reference/reports/getCompanies"},{"openapi":"get /reports/getCompanyInfo","title":"getCompanyInfo","href":"/api-reference/reports/getCompanyInfo"},{"openapi":"get /reports/getCompanyTask","title":"getCompanyTask","href":"/api-reference/reports/getCompanyTask"},{"openapi":"get /reports/getCompanyLocationInfo","title":"getCompanyLocationInfo","href":"/api-reference/reports/getCompanyLocationInfo"},{"openapi":"get /reports/getDeactivatedUsers","title":"getDeactivatedUsers","href":"/api-reference/reports/getDeactivatedUsers"},{"openapi":"get /reports/getDeductionDescription","title":"getDeductionDescription","href":"/api-reference/reports/getDeductionDescription"},{"openapi":"get /reports/getIndividualPayrollHistory","title":"getIndividualPayrollHistory","href":"/api-reference/reports/getIndividualPayrollHistory"},{"openapi":"get /reports/getOverTimeTypes","title":"getOverTimeTypes","href":"/api-reference/reports/getOverTimeTypes"},{"openapi":"get /reports/getProcessedPayperiodsDetails","title":"getProcessedPayperiodsDetails","href":"/api-reference/reports/getProcessedPayperiodsDetails"},{"openapi":"get /reports/getPaidEmployeesCountBasedOnDateRange","title":"getPaidEmployeesCountBasedOnDateRange","href":"/api-reference/reports/getPaidEmployeesCountBasedOnDateRange"},{"openapi":"get /reports/getPayPeriodDetails","title":"getPayPeriodDetails","href":"/api-reference/reports/getPayPeriodDetails"},{"openapi":"get /reports/getPayPeriod","title":"getPayPeriod","href":"/api-reference/reports/getPayPeriod"},{"openapi":"get /reports/getAllPayPeriods","title":"getAllPayPeriods","href":"/api-reference/reports/getAllPayPeriods"},{"openapi":"get /reports/getPayrollHistoryBasedOnPayPeriod","title":"getPayrollHistoryBasedOnPayPeriod","href":"/api-reference/reports/getPayrollHistoryBasedOnPayPeriod"},{"openapi":"get /reports/getPayrollHistoryBasedOnDateRange","title":"getPayrollHistoryBasedOnDateRange","href":"/api-reference/reports/getPayrollHistoryBasedOnDateRange"},{"openapi":"get /reports/getPayRun","title":"getPayRun","href":"/api-reference/reports/getPayRun"},{"openapi":"get /reports/getPaySchedule","title":"getPaySchedule","href":"/api-reference/reports/getPaySchedule"},{"openapi":"get /reports/getMonthlyAndSemiMonthlyPayScheduleDates","title":"getMonthlyAndSemiMonthlyPayScheduleDates","href":"/api-reference/reports/getMonthlyAndSemiMonthlyPayScheduleDates"},{"openapi":"get /reports/getPayStub","title":"getPayStub","href":"/api-reference/reports/getPayStub"},{"openapi":"get /reports/getPayBeginDates","title":"getPayBeginDates","href":"/api-reference/reports/getPayBeginDates"},{"openapi":"get /reports/getStateRegistrationFields","title":"getStateRegistrationFields","href":"/api-reference/reports/getStateRegistrationFields"},{"openapi":"get /reports/getStateW4FormFields","title":"getStateW4FormFields","href":"/api-reference/reports/getStateW4FormFields"},{"openapi":"get /reports/getTerminatedUsers","title":"getTerminatedUsers","href":"/api-reference/reports/getTerminatedUsers"},{"openapi":"get /reports/getTransactionBasedOnReference","title":"getTransactionBasedOnReference","href":"/api-reference/reports/getTransactionBasedOnReference"},{"openapi":"get /reports/getTransactions","title":"getTransactions","href":"/api-reference/reports/getTransactions"},{"openapi":"get /reports/getTransactionsBasedOnName","title":"getTransactionsBasedOnName","href":"/api-reference/reports/getTransactionsBasedOnName"},{"openapi":"get /reports/getUserTask","title":"getUserTask","href":"/api-reference/reports/getUserTask"},{"openapi":"get /reports/getCompanyBenefits","title":"getCompanyBenefits","href":"/api-reference/reports/getCompanyBenefits"},{"openapi":"get /reports/getUsersByCompanyName","title":"getUsersByCompanyName","href":"/api-reference/reports/getUsersByCompanyName"},{"openapi":"get /reports/getUnProcessedPayPeriod","title":"getUnProcessedPayPeriod","href":"/api-reference/reports/getUnProcessedPayPeriod"},{"openapi":"get /reports/getUsers","title":"getUsers","href":"/api-reference/reports/getUsers"},{"openapi":"get /reports/getUser","title":"getUser","href":"/api-reference/reports/getUser"},{"openapi":"get /reports/getEmployeeMiscellaneousStateTaxforPayroll","title":"getEmployeeMiscellaneousStateTaxforPayroll","href":"/api-reference/reports/getEmployeeMiscellaneousStateTaxforPayroll"},{"openapi":"get /reports/getEmployeeMiscellaneousStateTaxFormFields","title":"getEmployeeMiscellaneousStateTaxFormFields","href":"/api-reference/reports/getEmployeeMiscellaneousStateTaxFormFields"},{"openapi":"get /reports/getTaxNameForExemption","title":"getTaxNameForExemption","href":"/api-reference/reports/getTaxNameForExemption"},{"openapi":"get /reports/getCompanyTaxExemptions","title":"getCompanyTaxExemptions","href":"/api-reference/reports/getCompanyTaxExemptions"},{"openapi":"get /reports/getEmployeeTaxExemptions","title":"getEmployeeTaxExemptions","href":"/api-reference/reports/getEmployeeTaxExemptions"},{"openapi":"get /reports/getAllowedTaxAdjustmentsList","title":"getAllowedTaxAdjustmentsList","href":"/api-reference/reports/getAllowedTaxAdjustmentsList"},{"openapi":"get /reports/getUploadedDocuments","title":"getUploadedDocuments","href":"/api-reference/reports/getUploadedDocuments"},{"openapi":"get /reports/getPayrollJournalReport","title":"getPayrollJournalReport","href":"/api-reference/reports/getPayrollJournalReport"},{"openapi":"get /reports/getCashRequirementsReport","title":"getCashRequirementsReport","href":"/api-reference/reports/getCashRequirementsReport"}]},{"group":"Webhooks","pages":[{"openapi":"get /webhooks/getWebhookPublicKey","title":"getWebhookPublicKey","href":"/api-reference/webhooks/getWebhookPublicKey"},{"group":"Company","pages":[{"title":"Company Webhooks Overview","sidebarTitle":"Overview","href":"/api-reference/webhooks/Company/overview"},{"title":"Company KYB Status","openapi":"webhook companyKybStatus","href":"/api-reference/webhooks/Company/companyKybStatus"}]},{"group":"Employee","pages":[{"title":"Employee Webhooks Overview","sidebarTitle":"Overview","href":"/api-reference/webhooks/Employee/overview"},{"title":"Employee Status","openapi":"webhook employeeStatus","href":"/api-reference/webhooks/Employee/employeeStatus"},{"title":"Employee KYC Status","openapi":"webhook employeeKycStatus","href":"/api-reference/webhooks/Employee/employeeKycStatus"}]},{"group":"Bank Account","pages":[{"title":"Bank Account Webhooks Overview","sidebarTitle":"Overview","href":"/api-reference/webhooks/BankAccount/overview"},{"title":"Company Bank Account Status","openapi":"webhook companyBankAccountStatus","href":"/api-reference/webhooks/BankAccount/companyBankAccountStatus"},{"title":"Employee Bank Account Status","openapi":"webhook employeeBankAccountStatus","href":"/api-reference/webhooks/BankAccount/employeeBankAccountStatus"}]},{"group":"Pay Period","pages":[{"title":"Pay Period Webhooks Overview","sidebarTitle":"Overview","href":"/api-reference/webhooks/PayPeriod/overview"},{"title":"Pay Period Status","openapi":"webhook payPeriodStatus","href":"/api-reference/webhooks/PayPeriod/payPeriodStatus"}]},{"group":"Pay Schedule","pages":[{"title":"Pay Schedule Webhooks Overview","sidebarTitle":"Overview","href":"/api-reference/webhooks/PaySchedule/overview"},{"title":"Pay Schedule Status","openapi":"webhook payScheduleIsActive","href":"/api-reference/webhooks/PaySchedule/payScheduleStatus"}]}]},{"group":"Sandbox","pages":[{"openapi":"POST /sandbox/refreshCompanyKybStatus","title":"refreshCompanyKybStatus","href":"/api-reference/sandbox/refreshCompanyKybStatus"},{"openapi":"POST /sandbox/refreshUserKycStatus","title":"refreshUserKycStatus","href":"/api-reference/sandbox/refreshUserKycStatus"},{"openapi":"POST /sandbox/refreshCompanyBankAccountStatus","title":"refreshCompanyBankAccountStatus","href":"/api-reference/sandbox/refreshCompanyBankAccountStatus"},{"openapi":"POST /sandbox/refreshUserBankAccountStatus","title":"refreshUserBankAccountStatus","href":"/api-reference/sandbox/refreshUserBankAccountStatus"},{"openapi":"POST /sandbox/addFundsToLedger","title":"addFundsToLedger","href":"/api-reference/sandbox/addFundsToLedger"}]}]}]},{"anchor":"Terminology","icon":"book-open-text","color":{"light":"#FF4217","dark":"#FF4217"},"pages":[{"title":"Terminology","href":"/terminology"}]},{"anchor":"Releases","icon":"notebook-pen","color":{"light":"#FF4217","dark":"#FF4217"},"pages":[{"title":"Releases","href":"/releases/release-notes/Sept-2026"}]}]},"title":"addTimeTrackingPolicyAssignments - Rollfi","buildId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","deploymentId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BRm_l__d.js","utils-f1l1Oc-G.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BlhqDhJO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DHCB7rsC.js","snippetPresets-CYXLx6Hv.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-B78P2dEq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C4YLPVAh.js","shallow-vlLnTDkQ.js","getApiPlaygroundDisplay-D_98hhvf.js","CodeSnippet-DtnZHGqq.js","CodeSnippets-CLFb8KJt.js","Page-kQh739Uz.js","getPastedJson-Cq-zlbnU.js","icon-sN3t983t.js","MethodPill-P_YQ2s09.js","DuplicateIcon-BVzyNsGJ.js","createIcon-B3jqgqC6.js","DynamicMarkdown-Crwq6WG_.js","SectionHeading-C7pGS2Bb.js","axios-vUo_bRtp.js","Markdown-BuPH8yuW.js","clsx-CCOYKgaU.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BnkC_6oA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BM4S31-f.js"]}